from aext_project_filebrowser_server.consts import DEFAULT_PROJECT_TAGS

LOCAL_PROJECT = {
    "title": "my projeeectttt",
    "name": "my-project",
    "contents": [
        {
            "name": "tmp",
            "key": "tmp",
            "type": "directory",
            "size": "int",
            "status": "unstaged",
            "details": None,
            "contents": [
                {
                    "name": "project",
                    "key": "tmp/project",
                    "type": "directory",
                    "size": "int",
                    "status": "unstaged",
                    "details": None,
                    "contents": [
                        {
                            "name": "bar.txt",
                            "key": "tmp/project/bar.txt",
                            "type": "file",
                            "size": "int",
                            "status": "unstaged",
                            "details": {
                                "file_version_id": "uuid",
                            },
                        },
                        {
                            "name": "foo.txt",
                            "key": "tmp/project/foo.txt",
                            "type": "file",
                            "size": "int",
                            "status": "unstaged",
                            "details": {
                                "file_version_id": "uuid",
                            },
                        },
                    ],
                }
            ],
        }
    ],
    "owner": {"id": "62e920db-1a14-41ca-93a2-98b36dd695c1", "type": "-", "name": "Romulo"},
    "default_environment": "anaconda-panel-2023.05-py310",
    "metadata": {"user_client": "foo", "hidden": False, "tags": []},
    "created_at": "2024-04-25 09:07:43.571224",
    "updated_at": "2024-04-25 09:07:43.571224",
    "id": "fd090b04-a847-4c5b-bc54-ab75025e77a9",
    "tags": DEFAULT_PROJECT_TAGS,
}


EMPTY_LOCAL_PROJECT = {
    "title": "my new project",
    "name": "my-new-project",
    "contents": [],
    "owner": {"id": "62e920db-1a14-41ca-93a2-98b36dd695c1", "type": "-", "name": "Anaconda"},
    "default_environment": "anaconda-panel-2023.05-py310",
    "metadata": {"user_client": "foo", "hidden": False, "tags": []},
    "created_at": "2024-05-22 09:07:43.571224",
    "updated_at": "2024-05-22 09:07:43.571224",
    "id": "fd090b04-a847-4c5b-bc54-ab75025e77a9",
    "tags": DEFAULT_PROJECT_TAGS,
}

LOCAL_PROJECT_WITH_PYTHON_SNIPPET = {
    "title": "my projeeectttt",
    "name": "my-project-with-snippets",
    "contents": [
        {
            "name": "tmp",
            "key": "tmp",
            "type": "directory",
            "size": "int",
            "status": "unstaged",
            "details": None,
            "contents": [
                {
                    "name": "project",
                    "key": "tmp/project",
                    "type": "directory",
                    "size": "int",
                    "status": "unstaged",
                    "details": None,
                    "contents": [
                        {
                            "name": "bar.txt",
                            "key": "tmp/project/bar.txt",
                            "type": "file",
                            "size": "int",
                            "status": "unstaged",
                            "details": {
                                "file_version_id": "uuid",
                            },
                        },
                        {
                            "name": "foo.txt",
                            "key": "tmp/project/foo.txt",
                            "type": "file",
                            "size": "int",
                            "status": "unstaged",
                            "details": {
                                "file_version_id": "uuid",
                            },
                            "metadata": {"code_snippet": {"language": "Python"}},
                        },
                    ],
                }
            ],
        }
    ],
    "owner": {"id": "62e920db-1a14-41ca-93a2-98b36dd695c1", "type": "-", "name": "Romulo"},
    "default_environment": "anaconda-panel-2023.05-py310",
    "metadata": {"user_client": "foo", "hidden": False, "tags": []},
    "created_at": "2024-04-25 09:07:43.571224",
    "updated_at": "2024-04-25 09:07:43.571224",
    "id": "fd090b04-a847-4c5b-bc54-ab75025e77a0",
    "tags": DEFAULT_PROJECT_TAGS,
}


ONE_FOLDER_ONE_FILE_LOCAL_PROJECT = {
    "title": "my new project",
    "name": "my-new-project",
    "contents": [
        {
            "name": "tmp",
            "key": "tmp",
            "type": "directory",
            "size": "int",
            "status": "unstaged",
            "details": None,
            "contents": [
                {
                    "name": "bar.txt",
                    "key": "tmp/bar.txt",
                    "type": "file",
                    "size": "int",
                    "status": "unstaged",
                    "details": {
                        "file_version_id": "uuid",
                    },
                },
            ],
        }
    ],
    "owner": {"id": "62e920db-1a14-41ca-93a2-98b36dd695c1", "type": "-", "name": "Anaconda"},
    "default_environment": "anaconda-panel-2023.05-py310",
    "metadata": {"user_client": "foo", "hidden": False, "tags": []},
    "created_at": "2024-05-22 09:07:43.571224",
    "updated_at": "2024-05-22 09:07:43.571224",
    "id": "fd090b04-a847-4c5b-bc54-ab75025e77a9",
    "tags": DEFAULT_PROJECT_TAGS,
}


ALL_SYNC_STATE_VARIATIONS_CONTENTS = [
    # sync_error
    {
        "name": "sync_error.txt",
        "key": "sync_error.txt",
        "type": "file",
        "size": "int",
        "status": "sync_error",
        "details": {
            "file_version_id": "uuid",
        },
    },
    # syncing
    {
        "name": "syncing.txt",
        "key": "syncing.txt",
        "type": "file",
        "size": "int",
        "status": "syncing",
        "details": {
            "file_version_id": "uuid",
        },
    },
    # has_conflict
    {
        "name": "has_conflict.txt",
        "key": "has_conflict.txt",
        "type": "file",
        "size": "int",
        "status": "has_conflict",
        "details": {
            "file_version_id": "uuid",
        },
    },
    # unstaged
    {
        "name": "unstaged.txt",
        "key": "unstaged.txt",
        "type": "file",
        "size": "int",
        "status": "unstaged",
        "details": {
            "file_version_id": "uuid",
        },
    },
    # synced
    {
        "name": "synced.txt",
        "key": "synced.txt",
        "type": "file",
        "size": "int",
        "status": "synced",
        "details": {
            "file_version_id": "uuid",
        },
    },
]


CLOUD_PROJECT = {
    "id": "48fdcd97-6034-45d3-8bce-a6033a414ba1",
    "name": "india-cat-georgia-asparagus",
    "title": "test-project",
    "created_at": "2024-06-19T10:14:57.019381",
    "updated_at": "2024-06-19T10:14:57.019381",
    "metadata": {"tags": [], "user_client": "unknown", "hidden": False},
    "description": None,
    "owner": {"id": "18f540b1-62e0-4014-bf5e-39eb1bb3ba9c", "type": "user", "name": None},
}


LIST_CLOUD_PROJECTS_RESPONSE = {
    "items": [
        {
            "id": "593a2c7d-1233-4649-af78-c224ad69f695",
            "name": "99mb",
            "title": "99MB",
            "created_at": "2024-07-03T14:43:25.448694",
            "updated_at": "2024-07-03T14:43:25.448694",
            "metadata": {"tags": ["data", "notebook"], "user_client": "unknown", "hidden": False},
            "description": None,
            "owner": {"id": "e761da58-732e-4943-af40-5d4caba41bfe", "type": "user", "name": None},
        },
        {
            "id": "4b6aa8af-b4af-459d-ae9d-19a969cdbb4c",
            "name": "150mb",
            "title": "150MB",
            "created_at": "2024-07-03T14:47:11.415080",
            "updated_at": "2024-07-03T14:47:11.415080",
            "metadata": {"tags": ["data", "notebook"], "user_client": "unknown", "hidden": False},
            "description": None,
            "owner": {"id": "e761da58-732e-4943-af40-5d4caba41bfe", "type": "user", "name": None},
        },
    ],
    "total_count": None,
    "prev_page_url": None,
    "next_page_url": None,
    "num_items": 5,
}

TREE_593a2c7d = {
    "project_id": "593a2c7d-1233-4649-af78-c224ad69f695",
    "stored_files": [
        {
            "key": "Screenshot 2024-07-08 at 10.36.53.png",
            "name": "Screenshot 2024-07-08 at 10.36.53.png",
            "type": "file",
            "writtenby": "e761da58-732e-4943-af40-5d4caba41bfe",
            "size": 314140,
            "last_modified": "2024-07-08T10:03:05.396971",
            "details": {
                "description": None,
                "etag": "a8e9acdf65eaa567bb2ef5b91054eeb1",
                "file_version_id": "7ca07abb-00e3-4af5-abe3-d0bef187bdf4",
                "url": "https://nucleus-latest.anacondaconnect.com/api/projects/593a2c7d-1233-4649-af78-c224ad69f695/files/Screenshot 2024-07-08 at 10.36.53.png?version=7ca07abb-00e3-4af5-abe3-d0bef187bdf4",
                "signed_url": "https://anaconda-cloud-dev-us-east-1-projects.s3.amazonaws.com/593a2c7d-1233-4649-af78-c224ad69f695/Screenshot%202024-07-08%20at%2010.36.53.png/7ca07abb-00e3-4af5-abe3-d0bef187bdf4?AWSAccessKeyId=ASIA3ZWAJ6QQ3OWPDFXA&Signature=EiGSpbxtj8fAbm7MPCPiSPDpRds%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEJL%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJHMEUCIEW6NOdy05NvyzRabHy4pj1stbWxhgeyiarwjrWAIIGLAiEAhcYbhekQwzkRUsQNqMMwAfdz4i8neglrVqFP%2BvDF%2FC0q%2FgQIWxAEGgw4MTEwNzgzODI2MjUiDD1sl6yxY8HC4RbwnirbBCAzYldPEhd%2BTu4hfpv5khvxYJv6N1Zjl4DzEodf36lu84Lb6mQh4eywcquf88%2FIHLg4acbySg8sPdeW%2BMY%2FjEj%2BEyRXZ9jMte9uUHy3sA5tkuqIOcnbwF2UzAS%2BkvOV0x%2FIoX4WXkzyJHa5HIwd0q8muvghzfptsYWYnpM9n8zI%2BAhSvnDRqaVYfYSV%2BmJpu6Lce8YBEvxVAWNRrlpsJPsU8%2F285gwh%2F2RdisrevczDXCQG3ZAgFlhhtbGVhmN0kRZowKKrxJ5qr1JoESr89FKnj0mNArPD77uujxoHYCsXdtF8BEUKu4Vz6iETFfb7Kqf6313JBWj0dQkoniROqYlpybC%2BxtdI1iiSUhDb7mPiyGiTwQyumDbSyWaRNdtF41md9wPI72zFZJ5XokgyvdG10lCZTnFH1EYOfq%2F4cpMoZH4YC3kmkrCIgjPX4fTrb%2F%2B%2BIGy4IcmZHGfYLd76%2FyJF%2B4EQ77j3KL1Qac4b89Exk%2FPPpCFSK8ULTYEbp7nsyISQVGxzs5%2BJ%2F%2FIFW5aISvHZg1vZ8JS5KXLU10zUndE9lc08%2FOxfU2T5Mqhp9iuIMzipeajpm2ohWguZrZ11Z7mILFeYfw%2FHNIv6bkNOXGzQ0Q2sOSefQXYxGf6xVwnzUeXGByUAPmABws8WFZhBWLQArHPYU0BuRmRvWfSGsTSfOtGkou1H3ICkzmEqR5XutXrmFWDJOtyV%2Bj%2FizA1D2aMWH7RYoXawzr2vkxHh864xJAnf2imFss7XVzI8OTOv6Fa8C5kg4pzjNpldfBOnVw2OQ7WUlmL%2Bb0C4xDDH0L60BjqaAc1%2F%2FVJmNQvn2PYUHRrcUHNEouuT4mAJWDIBCo5D4I53n1p8FsHdu9E82TTip9vcpz3i9WKPecjvotPboEBLHaZE96eMTUgoVFcobFRQpqt02hoxtEV4wx%2BOJqg37RmSDAFpIwT78uqj6LRGOgLmJyI99vxPUAdondzFZaOoyXDFsFlxWQYlAs2FYO6GI0gh5LtJjZRPjHKHB1U%3D&Expires=1720694359",
                "metadata": {},
                "deleted": False,
            },
            "contents": None,
        },
        {
            "key": "tmp_99MB_file",
            "name": "tmp_99MB_file",
            "type": "file",
            "writtenby": "e761da58-732e-4943-af40-5d4caba41bfe",
            "size": 98566144,
            "last_modified": "2024-07-03T14:44:56.173070",
            "details": {
                "description": None,
                "etag": "3160ce04d2f5a9a25d8f71a408b02d89",
                "file_version_id": "1d7c4b98-2ad4-49ae-adb9-86fab9190921",
                "url": "https://nucleus-latest.anacondaconnect.com/api/projects/593a2c7d-1233-4649-af78-c224ad69f695/files/tmp_99MB_file?version=1d7c4b98-2ad4-49ae-adb9-86fab9190921",
                "signed_url": "https://anaconda-cloud-dev-us-east-1-projects.s3.amazonaws.com/593a2c7d-1233-4649-af78-c224ad69f695/tmp_99MB_file/1d7c4b98-2ad4-49ae-adb9-86fab9190921?AWSAccessKeyId=ASIA3ZWAJ6QQ3OWPDFXA&Signature=2lT2qHm9OIqnecB%2BoFSNpru%2B%2BXo%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEJL%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJHMEUCIEW6NOdy05NvyzRabHy4pj1stbWxhgeyiarwjrWAIIGLAiEAhcYbhekQwzkRUsQNqMMwAfdz4i8neglrVqFP%2BvDF%2FC0q%2FgQIWxAEGgw4MTEwNzgzODI2MjUiDD1sl6yxY8HC4RbwnirbBCAzYldPEhd%2BTu4hfpv5khvxYJv6N1Zjl4DzEodf36lu84Lb6mQh4eywcquf88%2FIHLg4acbySg8sPdeW%2BMY%2FjEj%2BEyRXZ9jMte9uUHy3sA5tkuqIOcnbwF2UzAS%2BkvOV0x%2FIoX4WXkzyJHa5HIwd0q8muvghzfptsYWYnpM9n8zI%2BAhSvnDRqaVYfYSV%2BmJpu6Lce8YBEvxVAWNRrlpsJPsU8%2F285gwh%2F2RdisrevczDXCQG3ZAgFlhhtbGVhmN0kRZowKKrxJ5qr1JoESr89FKnj0mNArPD77uujxoHYCsXdtF8BEUKu4Vz6iETFfb7Kqf6313JBWj0dQkoniROqYlpybC%2BxtdI1iiSUhDb7mPiyGiTwQyumDbSyWaRNdtF41md9wPI72zFZJ5XokgyvdG10lCZTnFH1EYOfq%2F4cpMoZH4YC3kmkrCIgjPX4fTrb%2F%2B%2BIGy4IcmZHGfYLd76%2FyJF%2B4EQ77j3KL1Qac4b89Exk%2FPPpCFSK8ULTYEbp7nsyISQVGxzs5%2BJ%2F%2FIFW5aISvHZg1vZ8JS5KXLU10zUndE9lc08%2FOxfU2T5Mqhp9iuIMzipeajpm2ohWguZrZ11Z7mILFeYfw%2FHNIv6bkNOXGzQ0Q2sOSefQXYxGf6xVwnzUeXGByUAPmABws8WFZhBWLQArHPYU0BuRmRvWfSGsTSfOtGkou1H3ICkzmEqR5XutXrmFWDJOtyV%2Bj%2FizA1D2aMWH7RYoXawzr2vkxHh864xJAnf2imFss7XVzI8OTOv6Fa8C5kg4pzjNpldfBOnVw2OQ7WUlmL%2Bb0C4xDDH0L60BjqaAc1%2F%2FVJmNQvn2PYUHRrcUHNEouuT4mAJWDIBCo5D4I53n1p8FsHdu9E82TTip9vcpz3i9WKPecjvotPboEBLHaZE96eMTUgoVFcobFRQpqt02hoxtEV4wx%2BOJqg37RmSDAFpIwT78uqj6LRGOgLmJyI99vxPUAdondzFZaOoyXDFsFlxWQYlAs2FYO6GI0gh5LtJjZRPjHKHB1U%3D&Expires=1720694359",
                "metadata": {},
                "deleted": False,
            },
            "contents": None,
        },
    ],
}

TREE_4b6aa8af = {
    "project_id": "4b6aa8af-b4af-459d-ae9d-19a969cdbb4c",
    "stored_files": [
        {
            "key": "10mb.txt",
            "name": "10mb.txt",
            "type": "file",
            "writtenby": "e761da58-732e-4943-af40-5d4caba41bfe",
            "size": 10485760,
            "last_modified": "2024-07-03T14:47:20.674822",
            "details": {
                "description": None,
                "etag": "f1c9645dbc14efddc7d8a322685f26eb",
                "file_version_id": "e6b24960-69df-4c47-ad2c-7859602638dc",
                "url": "https://nucleus-latest.anacondaconnect.com/api/projects/4b6aa8af-b4af-459d-ae9d-19a969cdbb4c/files/10mb.txt?version=e6b24960-69df-4c47-ad2c-7859602638dc",
                "signed_url": "https://anaconda-cloud-dev-us-east-1-projects.s3.amazonaws.com/4b6aa8af-b4af-459d-ae9d-19a969cdbb4c/10mb.txt/e6b24960-69df-4c47-ad2c-7859602638dc?AWSAccessKeyId=ASIA3ZWAJ6QQ3OWPDFXA&Signature=z0xF7jer4Aa0TtpNlfJuAjgvPwk%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEJL%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJHMEUCIEW6NOdy05NvyzRabHy4pj1stbWxhgeyiarwjrWAIIGLAiEAhcYbhekQwzkRUsQNqMMwAfdz4i8neglrVqFP%2BvDF%2FC0q%2FgQIWxAEGgw4MTEwNzgzODI2MjUiDD1sl6yxY8HC4RbwnirbBCAzYldPEhd%2BTu4hfpv5khvxYJv6N1Zjl4DzEodf36lu84Lb6mQh4eywcquf88%2FIHLg4acbySg8sPdeW%2BMY%2FjEj%2BEyRXZ9jMte9uUHy3sA5tkuqIOcnbwF2UzAS%2BkvOV0x%2FIoX4WXkzyJHa5HIwd0q8muvghzfptsYWYnpM9n8zI%2BAhSvnDRqaVYfYSV%2BmJpu6Lce8YBEvxVAWNRrlpsJPsU8%2F285gwh%2F2RdisrevczDXCQG3ZAgFlhhtbGVhmN0kRZowKKrxJ5qr1JoESr89FKnj0mNArPD77uujxoHYCsXdtF8BEUKu4Vz6iETFfb7Kqf6313JBWj0dQkoniROqYlpybC%2BxtdI1iiSUhDb7mPiyGiTwQyumDbSyWaRNdtF41md9wPI72zFZJ5XokgyvdG10lCZTnFH1EYOfq%2F4cpMoZH4YC3kmkrCIgjPX4fTrb%2F%2B%2BIGy4IcmZHGfYLd76%2FyJF%2B4EQ77j3KL1Qac4b89Exk%2FPPpCFSK8ULTYEbp7nsyISQVGxzs5%2BJ%2F%2FIFW5aISvHZg1vZ8JS5KXLU10zUndE9lc08%2FOxfU2T5Mqhp9iuIMzipeajpm2ohWguZrZ11Z7mILFeYfw%2FHNIv6bkNOXGzQ0Q2sOSefQXYxGf6xVwnzUeXGByUAPmABws8WFZhBWLQArHPYU0BuRmRvWfSGsTSfOtGkou1H3ICkzmEqR5XutXrmFWDJOtyV%2Bj%2FizA1D2aMWH7RYoXawzr2vkxHh864xJAnf2imFss7XVzI8OTOv6Fa8C5kg4pzjNpldfBOnVw2OQ7WUlmL%2Bb0C4xDDH0L60BjqaAc1%2F%2FVJmNQvn2PYUHRrcUHNEouuT4mAJWDIBCo5D4I53n1p8FsHdu9E82TTip9vcpz3i9WKPecjvotPboEBLHaZE96eMTUgoVFcobFRQpqt02hoxtEV4wx%2BOJqg37RmSDAFpIwT78uqj6LRGOgLmJyI99vxPUAdondzFZaOoyXDFsFlxWQYlAs2FYO6GI0gh5LtJjZRPjHKHB1U%3D&Expires=1720695101",
                "metadata": {},
                "deleted": False,
            },
            "contents": None,
        },
        {
            "key": "tmp_10MB_file",
            "name": "tmp_10MB_file",
            "type": "file",
            "writtenby": "e761da58-732e-4943-af40-5d4caba41bfe",
            "size": 10485760,
            "last_modified": "2024-07-03T14:47:20.815637",
            "details": {
                "description": None,
                "etag": "f1c9645dbc14efddc7d8a322685f26eb",
                "file_version_id": "5a46e799-4b5b-4402-8c06-a222c3c30689",
                "url": "https://nucleus-latest.anacondaconnect.com/api/projects/4b6aa8af-b4af-459d-ae9d-19a969cdbb4c/files/tmp_10MB_file?version=5a46e799-4b5b-4402-8c06-a222c3c30689",
                "signed_url": "https://anaconda-cloud-dev-us-east-1-projects.s3.amazonaws.com/4b6aa8af-b4af-459d-ae9d-19a969cdbb4c/tmp_10MB_file/5a46e799-4b5b-4402-8c06-a222c3c30689?AWSAccessKeyId=ASIA3ZWAJ6QQ3OWPDFXA&Signature=%2FfGYI4jCQbwy9DTgn0G%2FObpN2WM%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEJL%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJHMEUCIEW6NOdy05NvyzRabHy4pj1stbWxhgeyiarwjrWAIIGLAiEAhcYbhekQwzkRUsQNqMMwAfdz4i8neglrVqFP%2BvDF%2FC0q%2FgQIWxAEGgw4MTEwNzgzODI2MjUiDD1sl6yxY8HC4RbwnirbBCAzYldPEhd%2BTu4hfpv5khvxYJv6N1Zjl4DzEodf36lu84Lb6mQh4eywcquf88%2FIHLg4acbySg8sPdeW%2BMY%2FjEj%2BEyRXZ9jMte9uUHy3sA5tkuqIOcnbwF2UzAS%2BkvOV0x%2FIoX4WXkzyJHa5HIwd0q8muvghzfptsYWYnpM9n8zI%2BAhSvnDRqaVYfYSV%2BmJpu6Lce8YBEvxVAWNRrlpsJPsU8%2F285gwh%2F2RdisrevczDXCQG3ZAgFlhhtbGVhmN0kRZowKKrxJ5qr1JoESr89FKnj0mNArPD77uujxoHYCsXdtF8BEUKu4Vz6iETFfb7Kqf6313JBWj0dQkoniROqYlpybC%2BxtdI1iiSUhDb7mPiyGiTwQyumDbSyWaRNdtF41md9wPI72zFZJ5XokgyvdG10lCZTnFH1EYOfq%2F4cpMoZH4YC3kmkrCIgjPX4fTrb%2F%2B%2BIGy4IcmZHGfYLd76%2FyJF%2B4EQ77j3KL1Qac4b89Exk%2FPPpCFSK8ULTYEbp7nsyISQVGxzs5%2BJ%2F%2FIFW5aISvHZg1vZ8JS5KXLU10zUndE9lc08%2FOxfU2T5Mqhp9iuIMzipeajpm2ohWguZrZ11Z7mILFeYfw%2FHNIv6bkNOXGzQ0Q2sOSefQXYxGf6xVwnzUeXGByUAPmABws8WFZhBWLQArHPYU0BuRmRvWfSGsTSfOtGkou1H3ICkzmEqR5XutXrmFWDJOtyV%2Bj%2FizA1D2aMWH7RYoXawzr2vkxHh864xJAnf2imFss7XVzI8OTOv6Fa8C5kg4pzjNpldfBOnVw2OQ7WUlmL%2Bb0C4xDDH0L60BjqaAc1%2F%2FVJmNQvn2PYUHRrcUHNEouuT4mAJWDIBCo5D4I53n1p8FsHdu9E82TTip9vcpz3i9WKPecjvotPboEBLHaZE96eMTUgoVFcobFRQpqt02hoxtEV4wx%2BOJqg37RmSDAFpIwT78uqj6LRGOgLmJyI99vxPUAdondzFZaOoyXDFsFlxWQYlAs2FYO6GI0gh5LtJjZRPjHKHB1U%3D&Expires=1720695101",
                "metadata": {},
                "deleted": False,
            },
            "contents": None,
        },
        {
            "key": "tmp_10MB_file2",
            "name": "tmp_10MB_file2",
            "type": "file",
            "writtenby": "e761da58-732e-4943-af40-5d4caba41bfe",
            "size": 10485760,
            "last_modified": "2024-07-03T14:47:20.810459",
            "details": {
                "description": None,
                "etag": "f1c9645dbc14efddc7d8a322685f26eb",
                "file_version_id": "643607d3-f09c-484c-b004-a54050623bfd",
                "url": "https://nucleus-latest.anacondaconnect.com/api/projects/4b6aa8af-b4af-459d-ae9d-19a969cdbb4c/files/tmp_10MB_file2?version=643607d3-f09c-484c-b004-a54050623bfd",
                "signed_url": "https://anaconda-cloud-dev-us-east-1-projects.s3.amazonaws.com/4b6aa8af-b4af-459d-ae9d-19a969cdbb4c/tmp_10MB_file2/643607d3-f09c-484c-b004-a54050623bfd?AWSAccessKeyId=ASIA3ZWAJ6QQ3OWPDFXA&Signature=o1Q2nMyBSxRZr10RyA7YErm1loE%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEJL%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJHMEUCIEW6NOdy05NvyzRabHy4pj1stbWxhgeyiarwjrWAIIGLAiEAhcYbhekQwzkRUsQNqMMwAfdz4i8neglrVqFP%2BvDF%2FC0q%2FgQIWxAEGgw4MTEwNzgzODI2MjUiDD1sl6yxY8HC4RbwnirbBCAzYldPEhd%2BTu4hfpv5khvxYJv6N1Zjl4DzEodf36lu84Lb6mQh4eywcquf88%2FIHLg4acbySg8sPdeW%2BMY%2FjEj%2BEyRXZ9jMte9uUHy3sA5tkuqIOcnbwF2UzAS%2BkvOV0x%2FIoX4WXkzyJHa5HIwd0q8muvghzfptsYWYnpM9n8zI%2BAhSvnDRqaVYfYSV%2BmJpu6Lce8YBEvxVAWNRrlpsJPsU8%2F285gwh%2F2RdisrevczDXCQG3ZAgFlhhtbGVhmN0kRZowKKrxJ5qr1JoESr89FKnj0mNArPD77uujxoHYCsXdtF8BEUKu4Vz6iETFfb7Kqf6313JBWj0dQkoniROqYlpybC%2BxtdI1iiSUhDb7mPiyGiTwQyumDbSyWaRNdtF41md9wPI72zFZJ5XokgyvdG10lCZTnFH1EYOfq%2F4cpMoZH4YC3kmkrCIgjPX4fTrb%2F%2B%2BIGy4IcmZHGfYLd76%2FyJF%2B4EQ77j3KL1Qac4b89Exk%2FPPpCFSK8ULTYEbp7nsyISQVGxzs5%2BJ%2F%2FIFW5aISvHZg1vZ8JS5KXLU10zUndE9lc08%2FOxfU2T5Mqhp9iuIMzipeajpm2ohWguZrZ11Z7mILFeYfw%2FHNIv6bkNOXGzQ0Q2sOSefQXYxGf6xVwnzUeXGByUAPmABws8WFZhBWLQArHPYU0BuRmRvWfSGsTSfOtGkou1H3ICkzmEqR5XutXrmFWDJOtyV%2Bj%2FizA1D2aMWH7RYoXawzr2vkxHh864xJAnf2imFss7XVzI8OTOv6Fa8C5kg4pzjNpldfBOnVw2OQ7WUlmL%2Bb0C4xDDH0L60BjqaAc1%2F%2FVJmNQvn2PYUHRrcUHNEouuT4mAJWDIBCo5D4I53n1p8FsHdu9E82TTip9vcpz3i9WKPecjvotPboEBLHaZE96eMTUgoVFcobFRQpqt02hoxtEV4wx%2BOJqg37RmSDAFpIwT78uqj6LRGOgLmJyI99vxPUAdondzFZaOoyXDFsFlxWQYlAs2FYO6GI0gh5LtJjZRPjHKHB1U%3D&Expires=1720695101",
                "metadata": {},
                "deleted": False,
            },
            "contents": None,
        },
    ],
}
